open suse 11.3 update failure related to libstdc++.so.6

I tried to update my 64bit system from 11.1 to 11.3. Reboot into kde4 did not work. I was able to log into fvmw. I did a /sbin/yast2. yast2 output the following error:

/usr/lib/yast2/bin/y2base:
relocation error:/usr/lib64/libycp.so.3:symbol -ZNSt15_list_mode_base7_M_hookEPS_version GLIBCXX_3.4.14 not defined in libstdc++.so.6 with link time defined.

I had no internet connection, and cannot do an on-line-update.
I used the DVD image I downloaded from the website. The MD5 checksums agreed.

Does anybody else have similar experience? How do you fix it?

IMO
You should have done a new install

Hi,

Like caf4926 told you, it would be better to make a clean install in passing from 11.1 to 11.3. Save all your data and give it a go. :wink:

On 01/31/2011 10:36 PM, lotus98 wrote:
> I tried to update my 64bit system from 11.1 to 11.3.
>
> How do you fix it?

upgrade from 11.2 to 11.3 is supported…
what you tried is not…
for a good reason…

see more here: http://en.opensuse.org/SDB:System_upgrade

and in my sig…


DenverD
CAVEAT: http://is.gd/bpoMD
[NNTP posted w/openSUSE 11.3, KDE4.5.5, Thunderbird3.0.11, nVidia
173.14.28 3D, Athlon 64 3000+]
“It is far easier to read, understand and follow the instructions than
to undo the problems caused by not.” DD 23 Jan 11